summaryrefslogtreecommitdiff
path: root/xi/bin/ifdown
diff options
context:
space:
mode:
authordavidovski <david@davidovski.xyz>2022-03-29 23:36:22 +0100
committerdavidovski <david@davidovski.xyz>2022-03-29 23:36:22 +0100
commitdf88860947686a5e6507fc5d60ff33eac1158c6b (patch)
treed1dc7f2f003b08afb6d45f7170d7a0dd353060d3 /xi/bin/ifdown
parent33d239ecb3d66db2b005afbe68a7029c3f2d2ee0 (diff)
using sysvinit system bootscriptsHEADmaster
Diffstat (limited to 'xi/bin/ifdown')
-rwxr-xr-xxi/bin/ifdown100
1 files changed, 0 insertions, 100 deletions
diff --git a/xi/bin/ifdown b/xi/bin/ifdown
deleted file mode 100755
index a133c25..0000000
--- a/xi/bin/ifdown
+++ /dev/null
@@ -1,100 +0,0 @@
-#!/bin/bash
-########################################################################
-# Begin /sbin/ifdown
-#
-# Description : Interface Down
-#
-# Authors : Nathan Coulson - nathan@linuxfromscratch.org
-# Kevin P. Fleming - kpfleming@linuxfromscratch.org
-# Update : Bruce Dubbs - bdubbs@linuxfromscratch.org
-#
-# Version : LFS 7.0
-#
-# Notes : the IFCONFIG variable is passed to the scripts found
-# in the /lib/services directory, to indicate what file the
-# service should source to get interface specifications.
-#
-########################################################################
-
-RELEASE="7.0"
-
-USAGE="Usage: $0 [ -hV ] [--help] [--version] interface"
-VERSTR="LFS ifdown, version ${RELEASE}"
-
-while [ $# -gt 0 ]; do
- case "$1" in
- --help | -h) help="y"; break ;;
-
- --version | -V) echo "${VERSTR}"; exit 0 ;;
-
- -*) echo "ifup: ${1}: invalid option" >&2
- echo "${USAGE}" >& 2
- exit 2 ;;
-
- *) break ;;
- esac
-done
-
-if [ -n "$help" ]; then
- echo "${VERSTR}"
- echo "${USAGE}"
- echo
- cat << HERE_EOF
-ifdown is used to bring down a network interface. The interface
-parameter, e.g. eth0 or eth0:2, must match the trailing part of the
-interface specifications file, e.g. /etc/sysconfig/ifconfig.eth0:2.
-
-HERE_EOF
- exit 0
-fi
-
-file=/etc/sysconfig/ifconfig.${1}
-
-# Skip backup files
-[ "${file}" = "${file%""~""}" ] || exit 0
-
-#. /lib/lsb/init-functions
-
-if [ ! -r "${file}" ]; then
- echo "${file} is missing or cannot be accessed."
- exit 1
-fi
-
-. ${file}
-
-if [ "$IFACE" = "" ]; then
- echo "${file} does not define an interface [IFACE]."
- exit 1
-fi
-
-# We only need to first service to bring down the interface
-S=`echo ${SERVICE} | cut -f1 -d" "`
-
-if ip link show ${IFACE} > /dev/null 2>&1; then
- if [ -n "${S}" -a -x "/lib/services/${S}" ]; then
- IFCONFIG=${file} /lib/services/${S} ${IFACE} down
- else
- MSG="Unable to process ${file}. Either "
- MSG="${MSG}the SERVICE variable was not set "
- MSG="${MSG}or the specified service cannot be executed."
- echo "$MSG"
- exit 1
- fi
-else
- echo "Interface ${1} doesn't exist."
-fi
-
-# Leave the interface up if there are additional interfaces in the device
-link_status=`ip link show ${IFACE} 2>/dev/null`
-
-if [ -n "${link_status}" ]; then
- if [ "$(echo "${link_status}" | grep UP)" != "" ]; then
- if [ "$(ip addr show ${IFACE} | grep 'inet ')" == "" ]; then
- echo "Bringing down the ${IFACE} interface..."
- ip link set ${IFACE} down
- #evaluate_retval
- fi
- fi
-fi
-
-# End /sbin/ifdown